Downloads

Akeeba Backup for Joomla!

Akeeba Backup for Joomla!

version 7.2.1 Stable

Released on: Wednesday, 17 June 2020 00:15

Release Notes

What's new

Minimum requirements raised to PHP 7.1, Joomla 3.9. In an effort to support the upcoming Joomla 4.0 we had to do major and far-reaching changes to our software. Some of the necessary changes were impossible while supporting older PHP versions such as 5.6 and 7.0 – versions of PHP which have been end of life for well over a year. As noted, we consider versions of PHP which went EOL over six months ago to be good candidates for removal. Further to that, our usage statistics show that less than 5% of total sites and less than 0.5% of current Joomla version sites use them, therefore we decided to drop support. On a similar note, Joomla versions lower than or equal to 3.8 represent less than 2% of the Joomla sites of our users so we decided to drop support for them to make it possible to prepare our software for Joomla 4.

Using Joomla's cacert.pem instead of providing our own copy. This file is used whenever we try to access remote resources over HTTPS, e.g. when uploading files to remote storage. This file is the Certificate Authority cache and is used to verify the TLS certificate of the remote server. We used to provide our own copy of that file but it was just taking up unnecessary space since Joomla already has a copy of it in libraries/src/Http/Transport/cacert.pem. If you need to update the file yourself download a copy from cURL's official site and copy it into your site's libraries/src/Http/Transport folder.

Component Options page looks a bit nicer on Joomla 4. We are now using special CSS classes to render Yes / No options as easier to identify switches. Some aspects of these changes may not work in Joomla 4.0 Beta 1 just yet. There's a known bug in Joomla which is being resolved for 4.0 Beta 2.

Restoration: Enable UTF8MB4 compatibility detection by default. Joomla has supported UTF8MB4 in databases for a long time. In previous versions of Akeeba Backup we supported versions of Joomla which predated this change. Therefore we had disabled by default the UTF8MB4 support during restoration. If you were not paying attention this could result in restoration problems. We can finally change that option to being enabled by default.

Bug fixes and minor improvements. Please take a look at the CHANGELOG below.

Joomla! versions supported

We only officially support using our software with the latest Joomla! release branch, 3.9. We strongly advise you to run the latest available version of Joomla! for security reasons. Older versions of Joomla! have known major security issues which are being actively exploited to hack sites.

Our software should run on Joomla 4.0 which is currently in Beta. Please note that Joomla 4 is not stable yet. It should not be used on production sites. Some breakage is expected; we are working on fixing issues on Joomla 4 but it may take a while since it's still changing, albeit not at the rate it was changing pre-Beta.

PHP versions supported

We only officially support using our software with PHP 7.1, 7.2, 7.3 or 7.4. We strongly advise you to run the latest available version of PHP on a branch currently maintained by the PHP project for security reasons. Older versions of PHP have known major security issues which are being actively exploited to hack sites and they have stopped receiving security updates, leaving you exposed to these issues.

Please note that earlier PHP versions including but not limited to PHP 5.3, 5.4, 5.5, 5.6 and 7.0 are no longer supported and our software no longer works on them.

Release Files

Akeeba Backup Core installation package

pkg_akeeba-7.2.1-core.zip

Joomla! 3.9 Joomla! 4.0 PHP 7.1 PHP 7.2 PHP 7.3 PHP 7.4

Download now

Our Core versions are provided free of charge,
but they only scratch the surface of what's possible.

Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe and get full access!

Already a subscriber? Log in.

Cookies Notification - Action required

This website uses cookies to provide user authentication and improve your user experience. Please indicate whether you consent to our site placing these cookies on your device. You can change your preference later, from the controls which will be made available to you at the bottom of every page of our site.